Bug 189785 - ghostscript crashes on files created by pdftops
ghostscript crashes on files created by pdftops
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 13:17 EDT by Jan Martinek
Modified: 2008-03-11 13:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 13:07:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Martinek 2006-04-24 13:17:38 EDT
Description of problem:

ghostscipt crashes on files created by pdftops.

Version-Release number of selected component (if applicable):
ghostscript-8.15.1-7.2

How reproducible:
always

Steps to Reproduce:
1. pick up any pdf file, let's say
/usr/share/ghostscript/8.15/Resource/pdfcorefont/chinese_s/00_ReadMe.pdf

2. convert to postscript
pdftops 00_ReadMe.pdf

3. try any of those:
gv 00_ReadMe.ps
gs 00_ReadMe.ps
evince 00_ReadMe.ps
  
Actual results:

Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   1   3   %oparray_pop   1   3  
%oparray_pop   1   3   %oparray_pop   1   3   %oparray_pop   .runexec2  
--nostringval--   --nostringval--   --nostringval--   2   %stopped_push  
--nostringval--   1   4   %oparray_pop   --nostringval--   --nostringval--  
--nostringval--   --dict:1/2(L)--   --nostringval--   2   %dict_continue
Dictionary stack:
   --dict:1117/1686(ro)(G)--   --dict:0/20(G)--   --dict:81/200(L)--  
--dict:63/75(L)--
Current allocation mode is local
ESP Ghostscript 815.01: Unrecoverable error, exit code 1

Expected results:

The file should be correctly parsed and rendered. 

Additional info:
The created file can be processed and displayed without problems on Fedora Core
4 (GNU Ghostscript 7.07 (2003-05-17))
Comment 1 Tim Waugh 2006-04-25 07:14:35 EDT
Reported upstream:

  http://www.cups.org/espgs/str.php?L1598
Comment 2 Tim Waugh 2006-04-25 12:35:13 EDT
Fixed in 8.15.2.
Comment 3 Tim Waugh 2006-04-26 11:06:41 EDT
Please try this test update:

https://www.redhat.com/archives/fedora-test-list/2006-April/msg00546.html
Comment 4 petrosyan 2008-03-11 13:07:31 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.